SparkFun Forums 

Where electronics enthusiasts find answers.

Questions &/or issues related to products in the Retired category should be posted in this forum.
By DougEW
#202246
I have a couple of these MiniMoto cards.
The tutorial is clear (https://learn.sparkfun.com/tutorials/mi ... 1551312776)
The MiniMoto library is installed, but the example doesn't run with arduino IDE 1.8.8
The code starts like this:

#include <SparkFunMiniMoto.h> // Include the MiniMoto library

// Create two MiniMoto instances, with different address settings.
MiniMoto motor0(0xC8); // A1 = open, A0 = open
MiniMoto motor1(0xC6); // A1 = open, A0 = 0

The error message is:
C:\Users\User\Documents\Arduino\libraries\SparkFun_MiniMoto-1.1.0\src\SparkFunMiniMoto.cpp: In constructor 'MiniMoto::MiniMoto(byte)':

C:\Users\User\Documents\Arduino\libraries\SparkFun_MiniMoto-1.1.0\src\SparkFunMiniMoto.cpp:29:3: error: 'TWBR' was not declared in this scope

TWBR = 72;

^~~~

Is this because the MiniMoto library is too old for the arduino version?